Skip to main content
Resource Center/Resource Pool/SSH Key Operations
GETSSH Key OperationsSince 4.7.21SynchronousAuth Required

QuerySshKeyPair

QuerySshKeyPair

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventory.

Endpoint

GET/zstack/v1/ssh-key-pair

/zstack/v1/ssh-key-pair

Operation ID

QuerySshKeyPair

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ssh-key-pair' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "f289105c96f230e9a8add069c3a1bd69", "name": "ssh-key-pair", "publicKey": "" } ] }

Change History

This API has no change history records yet.

View all change history